Java Deployment Toolkit Blocked

This article is no longer maintained, so its content might be out of date.

If, when starting Firefox, you get the message "Firefox has determined that the following add-ons are known to cause stability or security problems" and the Java Deployment Toolkit is listed as Blocked, this article will explain why that's happened and what you can do about it.


Keeping your computer safe

Old versions of the Java Deployment Tookit plugin have been found to be insecure and have been used by malicious websites to install viruses and other malware on computers. To keep your computer safe we have blocked these old and insecure versions of the plugin from running. You don't need to take any further action to keep your computer safe from this threat. Note that you may not be able to run some Java applications in Firefox unless you install the latest Java plugin.

Updating your Java plugin

There is a new version of Java (Version 6 Update 20) that fixes the security hole and allows you to safely continue running Java applications in Firefox. You can download it here: http://www.java.com/getjava/

These fine people helped write this article: AliceWyman. You can help too - find out how.